#!/bin/bash

FILE=$1
PRE=`basename $FILE .mal`
PRE=`basename $PRE .stk`
SEQ=$2
OUTSEQ=`echo $SEQ|tr -s './_' '___'`

sreformat --pfam stockholm $1|grep -vi '^# STOCKHOLM '|grep -v '^//$'| \
    tr -s '\012' '\012' > $PRE.stk-tmp

grep "^$SEQ" $PRE.stk-tmp > $PRE.stk-tmp2
cat $PRE.stk-tmp|grep -v "^$SEQ"|tr -s '\012' '\012' >> $PRE.stk-tmp2

awk '{
       if(NF==2) {
       if(NR==1) {n=split($0,a); m=split(a[2],b,""); } ; \
       i=split($0,c); j=split(c[2],d,"") ; printf ">%s\n",c[1]; \
         for(k=1;k<=m;k++) {
           if(b[k]!="-" && b[k]!=".") {
             printf "%c",d[k];
           }
         }
         printf "\n";
       }
     }' $PRE.stk-tmp2 | fold -w 60 > ${PRE}_${OUTSEQ}_degap.mal
rm -f $PRE.stk-tmp*

